USE [MyAdventureGame]
GO

IF OBJECT_ID('CsvToTable') IS NOT NULL DROP FUNCTION CsvToTable
GO

CREATE FUNCTION CsvToTable
(
@CSVString 	VARCHAR(MAX),
@Delimiter	VARCHAR(10)
)
RETURNS @tbl TABLE ([Value_Text] VARCHAR(1000))
as

begin
declare @i int ,
	@j int
	select 	@i = 1
	while @i <= len(@CSVString)
	begin
		select	@j = charindex(@Delimiter, @CSVString, @i)
		if @j = 0
		begin
			select	@j = len(@CSVString) + 1
		end
		insert	@tbl select substring(@CSVString, @i, @j - @i)
		select	@i = @j + len(@Delimiter)
	end
	return
end
GO

