USE MyAdventureGame
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DeleteUserProfile]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[DeleteUserProfile]
GO

CREATE PROCEDURE [DeleteUserProfile]
(
	@Username varchar(20)
)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
	UPDATE MyAdventureGame.dbo.Users
	SET [Profile] = 'No Profile Entered', [Avatar Image ID] = NULL
	WHERE [Username] = @Username;
END

